Bug 1949875 - [RFE] Find and fix all python3 incompatibilities in OVS python files [Bug]
Summary: [RFE] Find and fix all python3 incompatibilities in OVS python files [Bug]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux Fast Datapath
Classification: Red Hat
Component: openvswitch2.15
Version: FDP 21.E
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Open vSwitch development team
QA Contact: Bob Fubel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-15 09:56 UTC by Eelco Chaudron
Modified: 2021-09-07 18:03 UTC (History)
7 users (show)

Fixed In Version: openvswitch2.15-2.15.0-26.el8fdp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-07 18:03:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FD-1241 0 None None None 2021-08-09 16:06:04 UTC
Red Hat Product Errata RHBA-2021:3449 0 None None None 2021-09-07 18:03:40 UTC

Description Eelco Chaudron 2021-04-15 09:56:54 UTC
Mainly the scripts in the script directory for building etc. Runtimes used by OCP seem to be ok. Find python files and run the pylint to start with.

Comment 1 Ilya Maximets 2021-06-07 22:42:23 UTC
Rosemarie posted a patch for this BZ here:
  https://patchwork.ozlabs.org/project/openvswitch/patch/20210607223118.506944-1-roriorde@redhat.com/

Comment 2 Rosemarie O'Riorden 2021-06-24 16:58:12 UTC
Here is the latest version of the patch:
https://patchwork.ozlabs.org/project/openvswitch/patch/20210615155802.209024-1-roriorde@redhat.com/

Comment 10 errata-xmlrpc 2021-09-07 18:03:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (openvswitch2.15 bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3449


Note You need to log in before you can comment on or make changes to this bug.